package com.cf.imes.module.system.validation.pay;

import cn.hutool.core.util.ObjectUtil;
import com.cf.imes.module.system.enums.pay.PayProductChannelCodeEnum;
import jakarta.validation.ConstraintValidator;
import jakarta.validation.ConstraintValidatorContext;

/**
 * 产品支付渠道编码校验器
 *
 * @author Gqr
 * @since 2025/4/18 10:22
 */
public class PayProductChannelCodeValidator implements ConstraintValidator<PayProductChannelCodeValid, Integer> {
    @Override
    public boolean isValid(Integer value, ConstraintValidatorContext context) {
        if (ObjectUtil.isNull(value)) {
            return true;
        }
        for (PayProductChannelCodeEnum codeEnum : PayProductChannelCodeEnum.values()) {
            if (ObjectUtil.equal(codeEnum.getCode(), value)) {
                return true;
            }
        }
        return false;
    }
}
